| Boost.Locale

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
boost::locale::period::period_type Class Reference

This class holds a type that represents certain period of time like year, hour, second and so on. More...

`#include <boost/locale/date_time_facet.hpp>`

List of all members.

## Public Member Functions

| period_type (marks::period_mark m=marks::invalid)
marks::period_mark | mark () const
bool | operator== (period_type const &other) const
bool | operator!= (period_type const &other) const

## Detailed Description

This class holds a type that represents certain period of time like year, hour, second and so on.

It can be created from either marks::period_mark type or by using shortcuts in period namespace - calling functions like period::year(), period::hour() and so on.

Basically it represents the same object as enum marks::period_mark but allows to provide save operator overloading that would not collide with casing of enum to numeric values.

## Constructor & Destructor Documentation

boost::locale::period::period_type::period_type | ( | marks::period_mark | m = `marks::invalid` | ) | `[inline]`

Create a period of specific type, default is invalid.

## Member Function Documentation

marks::period_mark boost::locale::period::period_type::mark | ( |  | ) | const`[inline]`

Get the value of marks::period_mark it was created with.

bool boost::locale::period::period_type::operator!= | ( | period_type const & | other | ) | const`[inline]`

Check if two periods are different

bool boost::locale::period::period_type::operator== | ( | period_type const & | other | ) | const`[inline]`

Check if two periods are the same

The documentation for this class was generated from the following file:

- boost/locale/date_time_facet.hpp